curl --request POST \
--url https://api.novacal.io/v1/event-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"duration": 720,
"hidden_from_profile": true,
"color": "<string>",
"description": "<string>",
"max_group_size": 6,
"redirect_enabled": true,
"redirect_url": "<string>",
"time_slot_interval": 62,
"buffer_time_before_event": 60,
"buffer_time_after_event": 60,
"min_scheduling_notice": 21600,
"booking_frequency_limits": [
{
"limit": 21600
}
],
"team_id": 123
}
'import requests
url = "https://api.novacal.io/v1/event-types"
payload = {
"name": "<string>",
"slug": "<string>",
"duration": 720,
"hidden_from_profile": True,
"color": "<string>",
"description": "<string>",
"max_group_size": 6,
"redirect_enabled": True,
"redirect_url": "<string>",
"time_slot_interval": 62,
"buffer_time_before_event": 60,
"buffer_time_after_event": 60,
"min_scheduling_notice": 21600,
"booking_frequency_limits": [{ "limit": 21600 }],
"team_id": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
duration: 720,
hidden_from_profile: true,
color: '<string>',
description: '<string>',
max_group_size: 6,
redirect_enabled: true,
redirect_url: '<string>',
time_slot_interval: 62,
buffer_time_before_event: 60,
buffer_time_after_event: 60,
min_scheduling_notice: 21600,
booking_frequency_limits: [{limit: 21600}],
team_id: 123
})
};
fetch('https://api.novacal.io/v1/event-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"type": "one_on_one",
"scope": "personal",
"is_active": true,
"duration": 720,
"max_group_size": 6,
"hidden_from_profile": true,
"color": "<string>",
"redirect_enabled": true,
"redirect_url": "<string>",
"time_slot_interval": 62,
"buffer_time_before_event": 60,
"buffer_time_after_event": 60,
"min_scheduling_notice": 21600,
"min_scheduling_notice_type": "minutes",
"allow_rescheduling": true,
"allow_cancellation": true,
"availability_id": 123,
"booking_frequency_limits": [
{
"period": "day",
"limit": 21600
}
],
"locations": [
{
"id": 123,
"type": "offline",
"details": "<string>"
}
],
"form_fields": [
{
"identifier": "<string>",
"label": "<string>",
"type": "<string>",
"placeholder": "<string>",
"is_required": true,
"options": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Create Event Type
Create a new Novacal event type with settings for duration, availability, booking limits, buffers, redirects, and booking form fields.
What you can create
Use this endpoint to create a new event type that controls how people book time with you in Novacal.Configuration areas
- Core details such as name, slug, and duration
- Scheduling rules such as buffers, limits, and availability
- Booking flow settings such as redirects and booking form fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Event type to create
The name of the event type
55The URL-friendly identifier for the event type
80^[a-z0-9]+(?:-[a-z0-9]+)*$The type of event
one_on_one, group, round_robin, collective Duration in minutes
1 <= x <= 1440Whether the event type is hidden from profile
Color code in hex format (e.g., #FF5733)
^#([A-Fa-f0-9]{6})$Description of the event type
5000Maximum group size (required for group type, min: 2, max: 10)
2 <= x <= 10Whether bookings should redirect after confirmation
Redirect URL used when redirect is enabled
Slot interval in minutes
5 <= x <= 120Buffer before the event in minutes
0 <= x <= 120Buffer after the event in minutes
0 <= x <= 120Minimum scheduling notice amount
0 <= x <= 43200Unit for minimum scheduling notice
minutes, hours, days Optional booking limits by period
3Show child attributes
Show child attributes
Team ID (required for collective type)
Response
Event type created